<!---Data Bin: Nos permite enlazar datos utilizando ngModel-->
<input type="text" [(ngModel)]="title"> {{ title }}

<input type="text" [(ngModel)]="power"> {{ power | exponential }}

<div *ngIf="title === 'Elvis'">
    Verdadero
</div>

<div [ngSwitch]="title">
    <a *ngSwitchCase="'Elvis'">Este es Elvis</a>
    <a *ngSwitchCase="'Ada'">Este es Ada</a>
    <a *ngSwitchCase="'Dylan'">Este es Dylan</a>
    <a *ngSwitchDefault>No hay match</a>
</div>

<button (click)="addItem()">add Item</button>

<div>
    <li *ngIf="items.length === 0">La lista vacia</li>
    <li *ngFor="let name of items; index as i">
        {{ name }} {{ i }}
        <button (click)="deleteItem(i)">delete</button>
    </li>
</div>